Status: In Progress Start date: 02 Sep 2015

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 10%

Category: Portability Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 1.30 hour

Description

Compilation of CDD needed some tweaking, expecially making it compatible with GFan.

(see documentation for ExternalLibs-GFan)

Write to the authors about

- the lines to include in their documentation (for a locally compiled gmp)

- putting (back) their headers in include/cdd/ (instead of include/) as it used to be

History

#1 - 26 Nov 2016 17:40 - John Abbott

I tried to put GFan on the Linux box in Kassel, but did not succeed in getting CDD properly installed.

Part of the problem came from strange permissions on some of the files: to do the install I used sudo command, but then various files were no longer

readable (why not readable by everyone?)

I used chmod command to make everything readable (and all directories enter-able); make install then completed, but the configure script for GFan

produced strange errors (something like "CDD is present but cannot be used").

Frustrating!

#2 - 30 Nov 2016 21:47 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

Here are some notes I have just made (after trying to compile CDD and GFan on my netbook).

Hints about compiling GFan library (and CDD library).

===========

*IMPORTANT*

===========

CDD instals its headers directly in /usr/local/include,

but GFan expects the headers to be in /usr/local/include/cdd.

In CDD the standard commands worked: ./configure; make; make install

BUT after installing CDD lib, I just did the following

   sudo mkdir /usr/local/include/cdd

   sudo cp /usr/local/include/cdd*.h cdd

   sudo cp /usr/local/include/setoper.h cdd

GFAN contains some hints in gfanlib/README.txt

[they worked for me, after getting CDD correctly installed]
#3 - 19 Apr 2017 14:40 - John Abbott

I still have to intervene manually to make GFAN compile even when CDD has been installed (apparently correctly).

The copy of CDD which I have places the header files in /usr/local/include/cdd/.

However, it seems that the configure script for GFAN (generated by autoconf) is unhappy unless the header files are in /usr/local/include/.

SOLUTION I just copy the CDD header files into /usr/local/include/ and then remove the directory cdd, and replace it with a symbolic link via the

command sudo ln -s . cdd

After that GFAN configuration completes (though perhaps still complains about CDD).  Anyway, compilation of GFAN and gfanlib work.

#4 - 11 Sep 2019 13:47 - John Abbott

- Description updated

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 2/2

http://www.tcpdf.org

